Bug Hunting Session
Bug 33056 - Mac langpack installer without initial window focus
Summary: Mac langpack installer without initial window focus
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.3.0 RC2
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Thorsten Behrens (CIB)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-13 05:11 UTC by Florian Effenberger
Modified: 2011-02-24 22:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Modified Applescript to bring dialog to foreground (5.04 KB, text/plain)
2011-01-13 05:41 UTC, Alex Thurgood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Effenberger 2011-01-13 05:11:55 UTC
When the Mac langpack installer is launched, the window/dialog has no focus. You first have to click the icon in the dock to make the window visible at all.
Comment 1 Alex Thurgood 2011-01-13 05:33:56 UTC
Possibly because the Applescript that does the grunt work doesn't grab the focus.

From what I understand, including "activate" before the line "display dialog..." should bring it to the foreground.


Alex
Comment 2 Alex Thurgood 2011-01-13 05:41:32 UTC
Created attachment 41961 [details]
Modified Applescript to bring dialog to foreground

Enclosing modified applescript to bring installation dialog to foreground
Comment 3 Thorsten Behrens (CIB) 2011-01-26 09:15:37 UTC
Reviewed & approved the change for -3-3. Should be fixed.
Comment 4 Alex Thurgood 2011-02-20 07:30:21 UTC
Reopening because it appears the commit has been reverted in 3.3.1 RC2, as the script stays in the background once again, and the keyword "activate" has been removed (or the changes have been overwritten with the old source in the repo).


Alex
Comment 5 Florian Effenberger 2011-02-20 07:34:23 UTC
Seems to work for me on 10.6.6 with 3.3.1 RC2?
Comment 6 Alex Thurgood 2011-02-24 22:52:01 UTC
my bad for re-opening, had wrong langpack install set.

Alex
Comment 7 Alex Thurgood 2011-02-24 22:52:18 UTC
closing